// ABOUT: //
/*fudge.js is a JavaScript library by Daniel Sim (foxhead128). It\
systematically removes most, if not all, of the extra scripts and other\
elements that Webs.com inserts into your website. There is also a CSS\
stylesheet, popsicle.css, which is designed to complement fudge.js. fudge.js\
is released under the MIT license.*/

// IMPLEMENTATION: //
/*fudge.js can be implemented as simply as follows:\
<script type="text/javascript" src="fudge.js"></script>*/

// LICENSING TERMS: //
/*Copyright (c) 2011 foxhead128

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.*/

window.onload = function() {
    yank_scripts = document.getElementsByTagName("script");
    for (i = 0; i < yank_scripts.length; i++) {
        if (yank_scripts[i].innerHTML.match(/urchin/g)) {
            yank_scripts[i].parentNode.removeChild(yank_scripts[i]);
        }
        else {
            if (yank_scripts[i].getAttribute("src") != null) {
                if (yank_scripts[i].getAttribute("src").match(/www.freewebs.com/g) || yank_scripts[i].getAttribute("src").match(/websimages.com/g) || yank_scripts[i].getAttribute("src").match(/\/.i/g)) {
                    yank_scripts[i].parentNode.removeChild(yank_scripts[i]);
                }
            }
        }
    }
    delete yank_scripts;
    yank_noframes = document.getElementsByTagName("noframes");
    for (i = 0; i < yank_noframes.length; i++) {
        if (yank_noframes[i].innerHTML.match("")) {
            yank_noframes[i].parentNode.removeChild(yank_noframes[i]);
        }
    }
    delete yank_noframes;
    yank_noscripts = document.getElementsByTagName("noscript");
    for (i = 0; i < yank_noscripts.length; i++) {
        if (yank_noscripts[i].innerHTML.match("")) {
            yank_noscripts[i].parentNode.removeChild(yank_noscripts[i]);
        }
    }
    delete yank_noscripts;
    yank_divs = document.getElementsByTagName("div");
    for (i = 0; i < yank_divs.length; i++) {
        if (i == yank_divs.length - 1 && yank_divs[i].parentNode == document.getElementsByTagName("body")[0]) {
            yank_divs[i].parentNode.removeChild(yank_divs[i]);
        }
        else if (yank_divs[i].getAttribute("id")) {
            if (yank_divs[i].getAttribute("id").match(/meebo/g) && yank_divs[i].parentNode == document.getElementsByTagName("body")[0]) {
                yank_divs[i].parentNode.removeChild(yank_divs[i]);
            }
        }
    }
    delete yank_divs;
}
